Rückruf CODESYS V3.5 SP17 Patch 5

CODESYS V3.5 SP17 Patch 5 wurde am 28.10.2022 freigegeben.

Leider enthält diese Version einen Compiler-Fehler im Zusammenhang mit Parameterlisten in Bibliotheken. Unter bestimmten Umständen werden die Werte der Parameter beim Erzeugen der Applikation nicht korrekt ausgewertet. Betroffen sind sowohl vom Anwender geänderte Werte als auch die Standardwerte. Der Anwender erhält allerdings keinen Hinweis auf diese fehlerhaften Werte. Dies kann zu unvorhersehbaren Fehlern in der Ausführung der Applikation führen. Beispielsweise könnten Daten aus Puffern unvollständig empfangen oder versendet werden, was wiederum die korrekte Funktionsweise des Feldbusses verhindern kann.

Wir arbeiten an einer korrigierten Version und werden auf unseren Freigabekanälen informieren, sobald diese verfügbar ist. Wir empfehlen Ihnen dringend, dann alle im Feld befindlichen Versionen von V3.5 SP17 Patch 5 durch die korrigierte Version zu ersetzen.

Für die entstehenden Unannehmlichkeiten bitten wir Sie um Entschuldigung.